<!DOCTYPE html>
<html xmlns:th="www.thymeleaf.org">
<head>
    <title>Utilisateur</title>
</head>
<body>
<div th:include="header.html"></div>
<div class="col-md-10 col-md-offset-1">
    <table class="table table-striped">
        <thead>
        <tr>
            <th>Nom</th>
            <th>Prenom</th>
            <th>Adresse</th>
            <th>Telephone</th>
            <th>Login</th>
            <th scope="col">Roles</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>


        <tr th:each="user : ${ users }">
            <td th:text="${ user.nom }"></td>
            <td th:text="${ user.prenom }"></td>
            <td th:text="${ user.adresse }"></td>
            <td th:text="${ user.telephone }"></td>
            <td th:text="${ user.login }"></td>
            <td>
                <th:bloc th:each="r : ${user.roles}">
                    <span th:text="${r.roleName}"></span>
                </th:bloc>
            </td>

            <td>
                <button class="btn btn-info">
                    <a th:href="@{/user/update(id=${user.id})}"><span class="glyphicon glyphicon-pencil "></span></a>
                </button>
                <button class="btn btn-danger">
                    <a onclick="return confirm('Etes-vous sur?')"
                       th:href="@{/user/delete(id=${user.id})}"><span class="glyphicon glyphicon-trash "></span></a>
                </button>
            </td>
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>